読者です 読者をやめる 読者になる 読者になる

あろぱら

QMAのアロエちゃんと出逢って10周年

Minecraft 1.10.2 に NotEnoughItems (NEI) を導入する

Minecraftで手軽にチートできる MOD「NotEnoughItems (NEI)」。

一時期は最新バージョンへの対応がなされていなかったのですが、久々に調べたらなんと最新の 1.10.2 に対応していました。

ただ、昔のバージョンとは導入する方法が若干変わっていて、そこで結構手間取ってしまったので、備忘録として残しておきます。

前提MOD

  • Forge
    • ほとんどの MOD の動作に必要。
  • CodeChickenCore
    • NotEnoughItems の動作に必要。
  • CodeChickenLib
    • CoreChickenCore の動作に必要。導入しないとエラーで起動できない。
  • Just Enough Items (JEI)
    • NotEnoughItems の動作に必要。今の NEI は JEI のアドオンとなっているようで、JEI がないと Forge の依存関係チェックに引っかかります。

各MODのバージョン

MOD バージョン
Forge 12.18.2.2099
CodeChickenCore 2.3.5.91-universal
CodeChickenLib 2.4.3.124-universal
NotEnoughItems 2.1.2.161-universal
Just Enough Items (JEI) 3.12.8.323

2016年11月3日時点の Recommend 版(2.1.2.157)だと、インベントリを開こうとすると NullPointerException でクラッシュするようです。

Latest 版(2.1.2.161)ではインベントリが開けることを確認しました。